Skip to main content
GET
/
v1
/
plans
List plans
curl --request GET \
  --url https://api.useduro.com/v1/plans \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "amount": 123,
      "currency": "<string>",
      "intervalCount": 123,
      "trialDays": 123,
      "maxCycles": 123,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Authorizations

Authorization
string
header
required

A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

Query Parameters

limit
integer
default:20
Required range: x <= 100
cursor
string

nextCursor from the previous page.

Response

200 - application/json

A page of plans

items
object[]
nextCursor
string | null
hasMore
boolean